Subject: Re: bug#28585: 26.0.60; [Emacs manual] Acknowledgements section omits some contributors

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Sep 2017 15:33:55 +0300

> From: [email-masked] (N. Jackson)
> Date: Sun, 24 Sep 2017 16:25:31 -0400
> 
> This suggestion is about the [@iftex] Acknowlegements Section near
> the beginning of the "print" manual, not about the [@ifnottex]
> Acknowlegements Section (ack.texi) at the end of the Info manual.
> 
> There are 443 contributors acknowledged in this section. I realise
> the section must be hard to keep up to date (and indeed there is a
> comment in it about possibly dropping it and IIUC replacing it
> with a reference to AUTHORS) but I suggest that anyone who is the
> author of more than 100 commits should be included. In the current
> log for the emacs-26 branch (which goes back to about 1985) there
> are only about 90 such individuals.
> 
> While I realise there are many problems with using commit count as
> a measure of contribution, and also that the log is not especially
> reliable (especially without some normalization), I don't think it
> would be too controversial to say that all of these 90-odd people
> should be acknowledged as a contributor.
> 
> The following people all have more than 100 commits but are omitted:
> 
>   Ken Brown
>   Tino Calancha
>   Artur Malabarba
>   Mark Oteiza
>   Nicolas Petton
>   Noam Postavsky
>   Philipp Stephani
> 
> I suggest they be added (unless they have deliberately been
> omitted because they're included under a different name or have
> requested they be omitted or whatever).

Thanks.  I feel uneasy about removing people from that list, so I just
added the ones you pointed out.

> (Note: Rather than re-fill the lines, I made the minimum
> changes. This makes some lines rather long but some of the existing
> lines are longer, and since this section is justified by TeX anyway,
> I'm guessing this is not a problem?)

Not a problem, correct.

Would you like to propose changes to ack.texi as well, to reflect the
main contributions of those 7 people?